Bug 66543 - Misleading error log in fireRequestDestroyEvent
Summary: Misleading error log in fireRequestDestroyEvent
Status: RESOLVED FIXED
Alias: None
Product: Tomcat 10
Classification: Unclassified
Component: Catalina (show other bugs)
Version: 10.1.7
Hardware: All All
: P2 trivial (vote)
Target Milestone: ------
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-03-24 21:57 UTC by Emeric Vernat
Modified: 2023-03-27 15:59 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emeric Vernat 2023-03-24 21:57:19 UTC
In the method fireRequestDestroyEvent of the StandardContext class, there is an error log of key "standardContext.requestListener.requestInit", in case of exception.

Logging about a request initialized event instead of a request destroyed event is a bit misleading.

An appropriate log key and an appropriate log message in LocalStrings*.properties would be better.
Comment 1 Felix Schumacher 2023-03-25 12:29:42 UTC
I have created a PR (https://github.com/apache/tomcat/pull/604) and will merge it, if no comments on the PR suggest otherwise.
Comment 2 Mark Thomas 2023-03-27 15:59:59 UTC
Fixed with Felix's PR in:
- 11.0.x for 11.0.0-M5 onwards
- 10.1.x for 10.1.8 onwards
-  9.0.x for  9.0.74 onwards
-  8.5.x for  8.5.88 onwards